>> [2007/06/18 08:59:08, 0] libsmb/smbencrypt.c:decode_pw_buffer(520)
>> decode_pw_buffer: incorrect password length (-1582166334).
>> [2007/06/18 08:59:08, 0] libsmb/smbencrypt.c:decode_pw_buffer(521)
>> decode_pw_buffer: check that 'encrypt passwords = yes'
>>
>> in my smb.conf i have : unix password sync = Yes

>
> I have a similar setup with thi settings:
>
> pam password change = no
> encrypt passwords = true
> unix password sync = no
> ldap password sync = yes
>
> It works well, since my users are all ldap+samba based. The 'ldap
> password sync' updates both passwords well. See the manpage of
> smb.conf for info about this setting.


Thank you

With your settings for me too it works well, except the attribute
"shadowLastChange" was not updated. This i need for my other
applications (like squid, email, apache) for password-expire.

So i inserted unix password sync = Yes , and now also the attribute
"shadowLastChange" was updated, but now i get an error-message when i
change my password under Windows xp and in the log i see the error
like above (although all attributes were changed rigth).

Other suggestions?
Regards luis



--
To unsubscribe from this list go to the following URL and read the
instructions: https://lists.samba.org/mailman/listinfo/samba